.nav {
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 990;
    width: toRem(64);
    position: fixed;
    overflow: hidden;
    background: #3F4B62;
    display: flex;
    flex-direction: column;
    transition: .25s;

    &__header {
        font-size: 0;
        line-height: 0;
        height: toRem(56);
        padding: 0 toRem(12);
        background: #323C52;
        display: flex;
        align-items: center;
        transition: .25s;
    }

    &__logo {
        top: toRem(16);
        left: toRem(8);
        width: 168px;
        display: block;
        position: absolute;
        transition: .25s;

        &--xl {
            width: 168px;
            display: block;
        }

        &--sm {
            width: 51px;
            display: block;
        }
    }

    &__main {
        flex-grow: 1;
        overflow: hidden;
        position: relative;
    }

    &__footer {
        padding: toRem(24) toRem(12);
    }

    &__collapse {
        width: 100%;
        border: none;
        outline: none;
        color: $white;
        stroke: $white;
        cursor: pointer;
        font-weight: 500;
        height: toRem(32);
        padding: 0 toRem(8);
        font-size: toRem(14);
        line-height: toRem(24);
        border-radius: 8px;
        white-space: nowrap;
        background: #49546A;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: flex-start;

        &:hover {
            color: $white;
            stroke: $white;
            text-decoration: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: toRem(24);
        }

        span {
            margin-left: toRem(12);
            display: none;
        }
    }

    &__partner {
        color: #B2B7C0;
        width: 100%;
        white-space: nowrap;
        position: relative;
        line-height: 120%;
        font-size: toRem(8);
        margin-top: toRem(24);
        padding-left: toRem(10);
        text-decoration: none;
        display: flex;
        align-items: center;

        &:hover {
            color: #B2B7C0;
            text-decoration: none;
        }

        i {
            width: 30px;
            display: block;
        }

        span {
            top: 3px;
            left: toRem(45);
            display: none;
            position: absolute;
        }
    }

    &__scroll {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
    }

    &__menu {
        padding: 0 toRem(12);
        font-weight: 500;
        font-size: toRem(13);
        line-height: toRem(16);
    }

    &__item {
        margin: toRem(6) 0;
        border-radius: 8px;

        &.open {
            background: #49546A;

            .nav__arrow {
                transform: rotate(180deg);
                transition: .25s;
            }
        }
    }

    &__divider {
        border-bottom: 1px solid #B2B7C0;
    }

    &__link {
        fill: #B2B7C0;
        color: #B2B7C0;
        min-height: toRem(32);
        border-radius: 8px;
        text-decoration: none;
        padding: toRem(4) 0 toRem(4) toRem(8);
        display: flex;
        flex-grow: 1;
        align-items: center;
        transition: .25s;

        &:hover {
            fill: $white;
            color: $white;
            text-decoration: none;
            transition: .25s;
        }

        &.active {
            fill: $white;
            color: $white;
            text-decoration: none;
            transition: .25s;
        }

        i {
            height: toRem(24);
        }

        span {
            display: none;
            margin-left: toRem(12);
        }
    }

    &__arrow {
        fill: #B2B7C0;
        font-size: 0;
        line-height: 0;
        width: toRem(10);
        height: toRem(7);
        margin-right: toRem(6);
        cursor: pointer;
        display: none;
        flex-shrink: 0;
        transform: rotate(0deg);
        transition: .25s;
    }

    &__parent {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__child {
        display: none;
        height: 0;
        overflow: hidden;
    }

    @include media-breakpoint-up(md) {

        &__footer {
            padding: toRem(32) toRem(12);
        }
    }

    @include media-breakpoint-up(xxl) {
        width: toRem(192);

        &__logo {
            left: toRem(12);

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__item {

            &.open {
                background: #49546A;
            }
        }

        &__link {
            padding-right: toRem(8);

            span {
                display: block;
            }
        }

        &__collapse {

            span {
                display: inline-block;
            }

            i {
                transform: rotate(180deg);
            }
        }

        &__partner {

            span {
                display: block;
            }
        }

        &__arrow {
            display: inline-block;
        }

        &__child {
            height: inherit;
            overflow: visible;
        }
    }
}

.nav-toggle {

    .nav {
        width: toRem(192);
        transition: .25s;

        &__logo {
            left: toRem(12);

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__item {

            &.open {
                background: transparent;
            }
        }

        &__link {
            padding-right: toRem(8);

            span {
                display: block;
            }
        }

        &__child {
            height: inherit;
            overflow: visible;
        }

        &__arrow {
            display: inline-block;
        }

        &__collapse {

            span {
                display: inline-block;
            }

            i {
                transform: rotate(180deg);
            }
        }

        &__partner {

            span {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        transition: padding-left .25s;

        .nav {
            width: toRem(64);

            &__logo {
                left: toRem(8);

                &--sm {
                    display: block;
                }

                &--xl {
                    display: none;
                }
            }

            &__item {

                &.open {
                    background: transparent;
                }
            }

            &__link {
                padding-right: 0;

                span {
                    display: none;
                }
            }

            &__collapse {

                span {
                    display: none;
                }

                i {
                    transform: rotate(0deg);
                }
            }

            &__partner {

                span {
                    display: none;
                }
            }

            &__child {
                display: none;
                height: 0;
                overflow: hidden;
            }

            &__arrow {
                display: none;
            }
        }
    }
}
